###########################################################################################################
###	Documentation:											
###	https://www.kernel.org/doc/Documentation/kbuild/kconfig-language.txt				
###########################################################################################################


menu "Wi-Fi Module configuration"
	depends on USE_INTERFACES

	config USE_WIFI
		bool "Enable Wi-Fi Interface Module"
		default "n"
		depends on USE_CONN && USE_INTERFACES
#		select USE_DEVCONFIG if ( USE_WIFI = y )
			 		
	config WIFI_MAX_RETRY_PER_CONFIG
		int "Set max number of times the module will try to connect to an AP and then move to next"
		range 5 50
		default 5
		depends on USE_WIFI && USE_INTERFACES
		
	config MAX_NUM_WIFI_CONFIGS
		int "Set max number of Wi-Fi Configuration that can be stored in persistent memory"
		range 1 10
		default 10
		depends on USE_WIFI && USE_INTERFACES

endmenu